<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "partner_site_review_response".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "AccountType".
 *
 * Columns in table "partner_site_review_response" available as properties of the model,
 * followed by relations of table "partner_site_review_response" available as properties of the model.
 *
 * @property integer $id
 * @property integer $partner_site_review_response_id
 * @property integer $account_id
 * @property string $status
 * @property string $comment
 * @property string $date_added
 *
 * @property PartnerSiteReviewResponse[] $partnerSiteReviewResponse
 */
abstract class BasePartnerSiteReviewResponseLog extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'partner_site_review_response_log';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PartnerSiteReviewResponseLog|PartnerSiteReviewResponseLogs', $n);
    }

    public static function representingColumn()
    {
        return 'partner_site_review_response_id';
    }

    public function rules()
    {
        return array(
            array('partner_site_review_response_id, account_id, status', 'required'),
            array('id, partner_site_review_response_id, account_id, status', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'partner_site_review_response' => array(
                self::BELONGS_TO,
                'PartnerSiteReviewResponse',
                'partner_site_review_response_id'
            ),
            'account' => array(
                self::BELONGS_TO,
                'Account',
                'account_id'
            ),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'partner_site_review_response_id' => Yii::t('app', 'Partner Site Review Response ID'),
            'account_id' => Yii::t('app', 'Account ID'),
            'comment' => Yii::t('app', 'Comment'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('partner_site', $this->partner_site, true);
        $criteria->compare('review_response', $this->review_response, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
